Upgrade php5.6 to 7.1

  • Hello everyone,


    I just searched the forum but haven't found an answer. As php5.6 is becoming more and more outdated, I wanted to upgrade it to version 7.1.

    During the first setup, the installer asked me which version. Unfortunately, I chose 5.6. Now when rerunning the setup, I don't get the option anymore to install 7.1. I don't want to spoil my actual environnement, but I haven't found a HowTo to safely upgrade. So any help is appreciated.


    Is it a good idea to install 7.1 for everyone or should I stick with phpswitcher?

  • Hello everyone,


    I just searched the forum but haven't found an answer. As php5.6 is becoming more and more outdated, I wanted to upgrade it to version 7.1.

    During the first setup, the installer asked me which version. Unfortunately, I chose 5.6. Now when rerunning the setup, I don't get the option anymore to install 7.1. I don't want to spoil my actual environnement, but I haven't found a HowTo to safely upgrade. So any help is appreciated.


    Is it a good idea to install 7.1 for everyone or should I stick with phpswitcher?

    You need rerun the distribution installer with the --reconfigure option and php item:


    Code
    1. perl imscp-autoinstall --debug --reconfigure php


    As long as you provide older PHP versions (5.6 , 7.0) to your clients through the PhpSwitcher plugin, that should be OK. Regarding PHP versions that are not longer supported by upstream PHP team (5.3 , 5.4, 5.5), the choice is up to you.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Hello, I finally made the change, but got some problems with openssl

    Any help ?


    Edit: I deleted the /var/local/imscp/composer.phar now everything is ok

    Edited 3 times, last by T0mcat ().